# Created by pyp2rpm-1.0.1
%global pypi_name FinDates
%global with_python3 1
%define version 0.2

Name:           python-findates
Version:        %{version}
Release:        %mkrel 10
Group:          Development/Python
Summary:        Dealing with dates in finance

License:        OSI Approved
Source0:        https://pypi.python.org/packages/source/F/FinDates/FinDates-%{version}.zip
BuildArch:      noarch

%if %{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3


%description
Findates is a python package for dealing with dates in finance. It
provides functionality to do day counting in various conventions,
business day rolling rules, creating holiday calendars, routines for
calculation of Easter and other religious holidays, routines for
calculation of holidays falling on a specific weekday in a month
(e.g. Thanksgving), moving holidays happening on a weekend.


%if 0%{?with_python3}
%package -n     python3-findates
Summary:        Dealing with dates in finance


%description -n python3-findates
Findates is a python package for dealing with dates in finance. It
provides functionality to do day counting in various conventions,
business day rolling rules, creating holiday calendars, routines for
calculation of Easter and other religious holidays, routines for
calculation of holidays falling on a specific weekday in a month
(e.g. Thanksgving), moving holidays happening on a weekend.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}


%if 0%{?with_python3}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find -name '*.py' | xargs 2to3 -w
%endif # with_python3


%build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif # with_python3

%if 0%{?with_python3}
%files -n python3-findates
%doc README.txt
%{python3_sitelib}/findates
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.2-10.mga8
+ Revision: 1535555
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.2-9.mga8
+ Revision: 1452162
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 0.2-8.mga7
+ Revision: 1352759
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2-7.mga7
+ Revision: 1288894
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2-6.mga7
+ Revision: 1135423
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.2-5.mga6
+ Revision: 970938
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.2-4.mga6
+ Revision: 888769
- rebuild for python 3.5

* Sat Nov 29 2014 joequant <joequant> 0.2-3.mga5
+ Revision: 799904
- fix for python3
- fix for python3

* Tue Nov 25 2014 joequant <joequant> 0.2-2.mga5
+ Revision: 798872
- fix capitalization on python3

* Tue Nov 25 2014 joequant <joequant> 0.2-1.mga5
+ Revision: 798866
- imported package python-findates

